# -*- coding: utf-8 -*-
from setuphelpers import *


def install():
    bin_name = glob.glob("%s/deepl-*.whl" % get_persistent_package_dir())[0]
    pip_install_cmd = '"%s" -m pip install "%s" --no-index --find-links "%s"' % (
        get_waptpython_path(),
        bin_name,
        get_persistent_package_dir(),
    )  # --force-reinstall
    print(run(pip_install_cmd))


def audit():
    audit_pip_package = str(run('"%s" -m pip show deepl' % get_waptpython_path(), accept_returncodes=[0, 1, 3010]))
    if "not found" in audit_pip_package:
        install()
        print("deepl was missing it may due to waptupgrade")
        return "WARNING"
    else:
        return "OK"


def uninstall():
    pip_uninstall_cmd = '"%s" -m pip uninstall deepl -y' % get_waptpython_path()
    print(run(pip_uninstall_cmd))


def get_persistent_package_file(fname):
    if isfile(makepath(os.getcwd(), "WAPT", "persistent", fname)):
        return makepath(os.getcwd(), "WAPT", "persistent", fname)
    else:
        if control.package_uuid:
            return makepath(WAPT.persistent_root_dir, control.package_uuid, fname)
        else:
            error("unable to get control.package_uuid")


def get_persistent_package_dir():
    if isdir(makepath(os.getcwd(), "WAPT", "persistent")):
        return makepath(os.getcwd(), "WAPT", "persistent")
    else:
        if control.package_uuid:
            return makepath(WAPT.persistent_root_dir, control.package_uuid)
        else:
            error("unable to get control.package_uuid")

def get_waptpython_path():
    if get_os_name() == "Windows":
        return makepath(WAPT.wapt_base_dir, "waptpython.exe")
    else:
        return makepath(WAPT.wapt_base_dir, "waptpython.sh")
